File Transfer Signals

Signals:

- file-recv-accept
- file-recv-start
- file-recv-cancel
- file-recv-complete
- file-recv-request
- file-send-accept
- file-send-start
- file-send-cancel
- file-send-complete

See also
  ft.h

# file-recv-accept

void (*file_recv_accept)(PurpleXfer *xfer, gpointer data);
_PurpleXfer
A core representation of a file transfer.
Definition: ft.h:135

Description:
  Emitted when an incoming file transfer has been accepted.

Parameters

  xfer | The file transfer
  data | User data

# file-recv-start

void (*file_recv_start)(PurpleXfer *xfer, gpointer data);

Description:
  Emitted when an incoming file transfer has been started.

Parameters

  xfer | The file transfer
  data | User data

# file-recv-cancel

void (*file_recv_cancel)(PurpleXfer *xfer, gpointer data);

Description:
  Emitted when an incoming file transfer has been canceled.

Parameters

  xfer | The file transfer
  data | User data

# file-recv-complete

void (*file_recv_complete)(PurpleXfer *xfer, gpointer data);

Description:
  Emitted when an incoming file transfer has been completed.

Parameters

  xfer | The file transfer
  data | User data

# file-recv-request

void (*file_recv_request)(PurpleXfer *xfer, gpointer data);

Description:
  Emitted before the user is prompted for an incoming file-transfer. Plugins can intercept the signal to auto-accept/auto-reject the requests. To auto-accept the file transfer, use purple_xfer_request_accepted(). To auto-reject, set the status of the xfer to PURPLE_XFER_STATUS_CANCEL_LOCAL.

Parameters

  xfer | The file transfer
  data | User data

# file-send-accept

void (*file_send_accept)(PurpleXfer *xfer, gpointer data);

Description:
  Emitted when an outgoing file transfer has been accepted.

Parameters

  xfer | The file transfer
  data | User data

# file-send-start

void (*file_send_start)(PurpleXfer *xfer, gpointer data);

Description:
  Emitted when an outgoing file transfer has started.

Parameters

  xfer | The file transfer
  data | User data

# file-send-cancel

void (*file_send_cancel)(PurpleXfer *xfer, gpointer data);

Description:
  Emitted when an outgoing file transfer has been canceled.

Parameters

  xfer | The file transfer
  data | User data

# file-send-complete

void (*file_send_complete)(PurpleXfer *xfer, gpointer data);

Description:
  Emitted when an outgoing file transfer has been completed.

Parameters

  xfer | The file transfer
  data | User data